Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179204 - center image in welcome screen can no longer be branded
center image in welcome screen can no longer be branded
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Welcome
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@ide
68patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-04 14:55 UTC by Thomas Preisler
Modified: 2010-03-19 20:53 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2010-01-04 14:55:50 UTC
The center image in the welcome screen has a (colorful) background image and the images 'NetBeansIDE' and '6.8' on top. These images cannot no longer be branded, as far as I can see.

We used to use branding to change the center image to an image wit our product name and product version but this no longer works in 6.8. The logo image is also now a hyperlink that (as far as I can see) is a hard-coded link to NetBeans. This needs to be brandable as well.

Localization is using the same technique as branding so I guess these issues apply to localization as well (if anyone wants to localize the link for instance).
Comment 1 Thomas Preisler 2010-01-04 15:04:13 UTC
We would like this fixed as a patch to 6.8 as we will base our product (Sun Studio) on NB 6.8 + patches.
Comment 2 Stanislav Aubrecht 2010-01-13 02:46:48 UTC
fixed in core-main 7b8255c41105

the bundle id for top logo url is "URL_TopBarLogo"
Comment 3 Quality Engineering 2010-01-14 23:39:19 UTC
Integrated into 'main-golden', will be available in build *201001150201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7b8255c41105
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #179204  - make top logo & url brandable
Comment 4 Tomas Danek 2010-01-25 06:01:00 UTC
Product Version: NetBeans IDE Dev (Build 201001190201)
Java: 1.6.0_17; Java HotSpot(TM) 64-Bit Server VM 14.3-b01-101
System: Mac OS X version 10.6.2 running on x86_64; MacRoman; en_US (nb)
Userdir: /Users/tomas/.netbeans/dev

making verified, but not sure wether extracting path to logo png to Constats.java is ok for you. feel free to reopen.
Comment 5 Thomas Preisler 2010-02-04 15:48:57 UTC
Fix is not yet in release68_fixes. What's the status on this?
Comment 6 rbalada 2010-03-08 10:08:51 UTC
Thomas,

current status is, that it has not been backported yet.

Tomasi,

would you please attach branding/localization jar file you used for verification testing?

My past experience as build engineer tells me to be cautious as this patch does not seem to make it to conform my memories about branding&localization procedures. But I can be wrong here.
To be on safe harbor, I would say you should externalize the string with image identifier into Bundle.properties too.
Comment 7 pgebauer 2010-03-15 16:32:27 UTC
The fix has been ported into the release68_fixes branch.
http://hg.netbeans.org/release68_fixes/rev/e5afbae11eb9
Comment 8 Thomas Preisler 2010-03-18 21:30:08 UTC
fix verified. I can now brand the product logo (NetBeans logo) and the URL it links to.
Comment 9 Alexander Pepin 2010-03-19 12:00:09 UTC
verified in patch2 candidate 20100318


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo